Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class AdaptiveSig1JunModel

    java.lang.Object
      |
      +--JunctionModel
            |
            +--Sig1JunctionModel
                  |
                  +--AdaptiveSig1JunModel

All Implemented Interfaces:
  Timed

public class AdaptiveSig1JunModel
extends Sig1JunctionModel
implements Timed

Fields inherited from class JunctionModel
`ei, endLanesID, iD, junctionShape, maxNum, parent, paths, pi, si, startLanesID, ticker, totalNumPaths`

Constructor Summary
`AdaptiveSig1JunModel(int iD, java.awt.Shape s, int lighttime, boolean actuated, RoadNetwork parent)`

Method Summary
`java.lang.String` | `giveInfo()` Due to mouse Events
`void` | `pretick()`
`void` | `tick()`

Methods inherited from class Sig1JunctionModel
`drawJunctionFeatures, generatePaths, getNextLightSet, getNextValidLightSet, isOKToGo, isSignalled, resetLights`

Methods inherited from class JunctionModel
`addEndLane, addStartLane, addToTimer, convertToArrayConvienient, createAnyLeft, createAnyOpposite, createAnyRight, createcorrespondingLeft, createcorrespondingRight, createLeftTurns, createPathBetween, createPathBetween, createPathToOppositeSide, createRightTurns, drawAllCars, getAnOpositeLaneFromEdge, getAnOpositeLaneFromJunction, getAnyOutputLane, getCar, getCenter, getID, getLeftDir, getLightsFrom, getLightsTo, getnextLane, getOpDir, getRightDir, getsharedPath, getSpeeds, hasInputOf, isOnLeftSide, isOnMapEdge, isOnRightSide, kill, receiveCar, testForLiveness`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdaptiveSig1JunModel

    public AdaptiveSig1JunModel(int iD,
                                java.awt.Shape s,
                                int lighttime,
                                boolean actuated,
                                RoadNetwork parent)

Method Detail

### pretick

    public void pretick()

  Specified by:
    `pretick` in interface `Timed`
  Overrides:
    `pretick` in class `Sig1JunctionModel`

### tick

    public void tick()

  Specified by:
    `tick` in interface `Timed`
  Overrides:
    `tick` in class `Sig1JunctionModel`

### giveInfo

    public java.lang.String giveInfo()

  Due to mouse Events
  Overrides:
    `giveInfo` in class `Sig1JunctionModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD